1. Contact Request
PartnerPage API
  • Introduction
  • Authentication
  • Object Overview
  • Directory
    • Forms
      • Get all custom forms
      • Get all currency field options
      • Get all contact request form
      • Get the default contact request form
      • Create a cotact request custom form
      • Delete a contact request custom form
    • Callouts
      • Get all callouts
      • Get a callout
      • Create a new callout
      • Update a directory callout
      • Delete a directory callout
    • Badges
      • Get all badges
      • Get a badge
      • Create a badge
      • Update a badge
      • Delete a badge
    • Certifications
      • Get all certifications
      • Get a certificacion
      • Create a certification
      • Update a certification
      • Delete a certification
    • Filters
      • Filter Options
        • Get all filter options
        • Get a filter option
        • Create a filter option
        • Update a filter option
        • Deletes a filter option
      • Get all filters
      • Get a filter
      • Create a filter
      • Update a filter
      • Deletes a filter
      • Get all internal filters
      • Get all filters for external directory
    • Filter Maps
      • Get all filter option mappings
      • Get a filter option mapping
      • Create a new filter option mapping
      • Update a filter option mapping
      • Delete a filter option mapping
      • Get all filter option mappings for external directory
    • Matchmaking
      • Get all matchmaking requests
    • Tiers
      • Get all tiers
      • Get a tier
      • Create a tier
      • Update a tier
      • Delete a tier
      • Get all entries assigned to an specific tier
      • Assign or Unassign entries to an specific tier
    • Verifications
      • Get all verifications
      • Get a verification
      • Create a verification
      • Update a verification
      • Delete a verification
    • Settings
      • Retrieve the settings for a directory
      • Update the settings for a directory
    • Get all directories
      GET
    • Get a directory
      GET
    • Update a directory
      PATCH
  • Entry
    • App Entry
      • Callouts
        • Get all callouts
        • Get an entry callout
        • Create a new callout
        • Update a callout
        • Delete a callout
      • Get an app entry
      • Create new app entry
      • Update app entry
      • Delete a app entry
      • Update the recommended order of an app entry
    • Partner Entry
      • Badges
        • Get all badges
        • Get a badge
        • Create a badge
        • Update a badge
        • Delete a badge
      • Callouts
        • Get all callouts
        • Get a callout
        • Create a callout
        • Update a callout
        • Delete a callout
      • Certifications (General)
        • Get all certifications
        • Get a certification
        • Create a certification
        • Update a certification
        • Delete a certification
      • Certifications (Industry)
        • Get all industry certifications
        • Get an industry certification
        • Create an industry certification
        • Update an industry certification
        • Delete an industry certification
      • Certifications (Segment)
        • Get all segment certifications
        • Get a segment certification
        • Create a segment certification
        • Update a segment certification
        • Delete a segment certification
      • Client
        • Get all Clients
        • Get a client
        • Create a client
        • Update a client
        • Delete a client
      • Keywords
        • Get all keywords
        • Get a keyword
        • Create a keyword
        • Update keyword
        • Delete a keyword
      • Locations
        • Get all location
        • Get a location
        • Create a location
        • Update a location
        • Delete a location
      • Media
        • Get all media
        • Get a media
        • Create a media
        • Update a media
        • Delete a media
      • Resources
        • Internal
          • Get all Internal resources
          • Get an internal resource
          • Create an internal resource
          • Update an internal resource
          • Delete an internal resource
        • Get all resouces
        • Get a resource
        • Create a resource
        • Update a resource
        • Delete a resource
      • Special Offers
        • Get all special offer
        • Get a special offer
        • Create a special offer
        • Update a special offer
        • Delete a special offer
      • Testimonials
        • Internal
          • Get all internal testimonial
          • Get an internal testimonial
          • Create an internal testimonial
          • Update an internal testimonial
          • Delete an internal testimonial
        • Get all testimonials
        • Get a testimonial
        • Create a testimonial
        • Update a testimonial
        • Delete a testimonial
      • Use Cases
        • Internal
          • Get all internal use cases
          • Get an internal use cases
          • Create an internal use case
          • Update an internal use case
          • Delete an internal use case
        • Get all use cases
        • Get a use case details
        • Create a use case
        • Update a use case
        • Delete a use case
      • Verifications
        • Get all verifications
        • Get a verification
        • Create a verification
        • Update a verification
        • Delete a verification
      • Contact Information
        • Return entry contact information
      • Invite
        • Get organization matches for partner invite
        • Get partner entry owner organization invite
        • Get partner entry owner user invites
        • Invite organization to own partner entry
        • Invite users to partner entry ownership
      • Entry Edits Approval Flow
        • Partner Entry Submit Review
        • Partner Entry Approve Review
        • Partner Entry Reject Changes
        • Partner Entry Discard Review
      • Get all partner entry
      • Get a partner entry
      • Create a partner entry
      • Update a partner entry
      • Delete a partner entry
      • Update the recommended order of a partner entry
    • Get all entries
      GET
  • Contact Request
    • Get all contact requests
      GET
    • Get a contact request
      GET
    • Create a new partner contact request
      POST
  • Matchmaking
    • Get all matchmaking requests
      GET
    • Get a matchmaking request
      GET
    • Create a new matchmaking request for a directory
      POST
    • Get all partners assigned to matchmaking requests
      GET
    • Assign an owner to a matchmaking request
      PATCH
    • Replace partners to a matchmaking request
      PUT
  • Review
    • Create a review
    • Get a review
  1. Contact Request

Get a contact request

GET
https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests/{contact_id}/
Retrieve details of a contact requests for a directory owner organization

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Responses

🟢200OK
application/json
Detailed information about the contact request
Body

🟠403Forbidden
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests//' \
--header 'Authorization: <api-key>'
Response Response Example
200 - response
{
    "href": "/api/directory/private/v1alpha/contact-requests/219a7d94-b934-4ccf-880f-d24b55e7e03e/",
    "id": "219a7d94-b934-4ccf-880f-d24b55e7e03e",
    "firstName": "John",
    "lastName": "Doe",
    "email": "user@email.com",
    "phone": null,
    "companyName": "MyCompany",
    "companyWebsite": "my-company.com",
    "comments": "Some comments",
    "created": "2024-08-23 13:40",
    "state": "pending",
    "source": "contact_request",
    "matchOrigin": null,
    "utmQueryParams": {},
    "entry": {
        "id": "0f00e6b6-a7d4-4e2e-8bc5-273ddbc0d9c4",
        "title": "Entry Title",
        "owner": "2a5201d0-8b59-42b0-bda5-8aaf2c46c7bd"
    },
    "directory": {
        "id": "12345678-1234-1234-1234-123456789abc",
        "name": "Directory Title",
        "orgId": "72887176-abc4-48d7-bdd6-35cf31aafb7e",
        "orgName": "Org name"
    }
}
Modified at 2026-04-13 10:55:46
Previous
Get all contact requests
Next
Create a new partner contact request
Built with